UiPath Documentation
ixp
latest
false

Communications Mining 用户指南

上次更新日期 2026年5月5日

重置流

文档图像

/api/v1/datasets/<project>/<dataset_name>/streams/<stream_name>/reset
/api/v1/datasets/<project>/<dataset_name>/streams/<stream_name>/reset

所需权限:使用流、查看标签

  • 重击
    curl -X POST 'https://<my_api_endpoint>/api/v1/datasets/project1/collateral/streams/dispute/reset' \
        -H "Authorization: Bearer $REINFER_TOKEN" \
        -H "Content-Type: application/json" \
        -d '{
      "to_comment_created_at": "2020-06-03T16:05:00"
    }'
    curl -X POST 'https://<my_api_endpoint>/api/v1/datasets/project1/collateral/streams/dispute/reset' \
        -H "Authorization: Bearer $REINFER_TOKEN" \
        -H "Content-Type: application/json" \
        -d '{
      "to_comment_created_at": "2020-06-03T16:05:00"
    }'
    
  • 节点
    const request = require("request");
    
    request.post(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/project1/collateral/streams/dispute/reset",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
        json: true,
        body: { to_comment_created_at: "2020-06-03T16:05:00" },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    const request = require("request");
    
    request.post(
      {
        url: "https://<my_api_endpoint>/api/v1/datasets/project1/collateral/streams/dispute/reset",
        headers: {
          Authorization: "Bearer " + process.env.REINFER_TOKEN,
        },
        json: true,
        body: { to_comment_created_at: "2020-06-03T16:05:00" },
      },
      function (error, response, json) {
        // digest response
        console.log(JSON.stringify(json, null, 2));
      }
    );
    
  • Python
    import json
    import os
    
    import requests
    
    response = requests.post(
        "https://<my_api_endpoint>/api/v1/datasets/project1/collateral/streams/dispute/reset",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
        json={"to_comment_created_at": "2020-06-03T16:05:00"},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    import json
    import os
    
    import requests
    
    response = requests.post(
        "https://<my_api_endpoint>/api/v1/datasets/project1/collateral/streams/dispute/reset",
        headers={"Authorization": "Bearer " + os.environ["REINFER_TOKEN"]},
        json={"to_comment_created_at": "2020-06-03T16:05:00"},
    )
    
    print(json.dumps(response.json(), indent=2, sort_keys=True))
    
  • 响应
    {
      "sequence_id": "4LvtenIBAAA=",
      "status": "ok",
      "stream": {
        "created_at": "2019-08-03T12:30:00.123456Z",
        "dataset_id": "abcdef0123456789",
        "description": "Used by ACME RPA to create tickets for disputes.",
        "id": "0123456789abcdef",
        "model": {
          "version": 8
        },
        "name": "dispute",
        "title": "Collateral Disputes",
        "updated_at": "2019-08-03T12:30:00.123456Z"
      }
    }
    {
      "sequence_id": "4LvtenIBAAA=",
      "status": "ok",
      "stream": {
        "created_at": "2019-08-03T12:30:00.123456Z",
        "dataset_id": "abcdef0123456789",
        "description": "Used by ACME RPA to create tickets for disputes.",
        "id": "0123456789abcdef",
        "model": {
          "version": 8
        },
        "name": "dispute",
        "title": "Collateral Disputes",
        "updated_at": "2019-08-03T12:30:00.123456Z"
      }
    }
    

可以重置流,以在时间上向后或向前移动其位置,以重复先前返回的注释或跳过注释。 用于重置流的时间戳是指上传注释的时间(即注释的created_at属性,而不是其timestamp属性)。

名称类型必填说明
to_comment_created_at字符串ISO-8601 时间戳。

响应将包含与新流位置相对应的sequence_id

此页面有帮助吗?

连接

需要帮助? 支持

想要了解详细内容? UiPath Academy

有问题? UiPath 论坛

保持更新